<?php

namespace App\Controllers\Admin\Equipment;

use CodeIgniter\HTTP\RequestInterface;
use CodeIgniter\HTTP\ResponseInterface;
use Psr\Log\LoggerInterface;

use App\Helpers\Equipment\SwitchHelper;
use App\Services\Equipment\SwitchService;

class SwitchController extends EquipmentController
{
  public function initController(RequestInterface $request, ResponseInterface $response, LoggerInterface $logger)
  {
    parent::initController($request, $response, $logger);
    $this->content_title = lang("{$this->getService()->getClassName()}.title");
    $this->class_path .= $this->getService()->getClassName();
    $this->uri_path .= strtolower($this->getService()->getClassName('/')) . '/';
    // $this->view_path .= strtolower($this->getService()->getClassName()) . DIRECTORY_SEPARATOR;

  }
  public function getService(): SwitchService
  {
    if (!$this->_service) {
      $this->_service = new SwitchService();
    }
    return $this->_service;
  }
  public function getHelper(): SwitchHelper
  {
    if (!$this->_helper) {
      $this->_helper = new SwitchHelper();
    }
    return $this->_helper;
  }
  //Index,FieldForm관
}
